Fly.io
Organizations

List All Volumes

View as Markdown

List all volumes for an organization with optional filters and cursor-based pagination.

GET
/orgs/{org_slug}/volumes

List all volumes for an organization with optional filters and cursor-based pagination.

Authorization

bearerAuth
AuthorizationBearer <token>

A Fly.io access token. Create one with fly tokens create.

In: header

Path Parameters

org_slug*string

Fly Organization Slug

Query Parameters

include_deleted?boolean

Include deleted volumes

region?string

Region filter

state?string

Comma separated list of volume states to filter

summary?boolean

Only return summary info about volumes (omit blocks, block size, etc)

updated_after?string

Only return volumes updated after this time. Timestamp must be in the RFC 3339 format

cursor?string

Pagination cursor from previous response (takes precedence over updated_after)

limit?integer

The number of volumes to fetch (max of 1000). This limit is advisory. Responses may be shorter, even when more volumes remain. If omitted, the maximum is used

Response Body

application/json

curl -X GET "https://example.com/orgs/string/volumes"
{  "last_updated_at": "string",  "last_volume_id": "string",  "next_cursor": "string",  "volumes": [    {      "app_name": "string",      "attached_alloc_id": "string",      "attached_machine_id": "string",      "auto_backup_enabled": true,      "block_size": 0,      "blocks": 0,      "blocks_avail": 0,      "blocks_free": 0,      "bytes_total": 0,      "bytes_used": 0,      "created_at": "string",      "encrypted": true,      "fstype": "string",      "host_status": "ok",      "id": "string",      "name": "string",      "region": "string",      "size_gb": 0,      "snapshot_retention": 0,      "state": "string",      "type": "local",      "updated_at": "string",      "zone": "string"    }  ]}